Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.md
Class MD2

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--java.security.MessageDigest
                  |
                  +--cryptix.provider.md.MD2

public class MD2
extends MessageDigest
implements Cloneable

Implements the MD2 message digest algorithm in Java.

References:

1. Burton S. Kaliski Jr, " The MD2 Message-Digest Algorithm", IETF RFC-1319 (informational).

$Revision: 1.4 $

Author:
  Raif S. Naffah

Constructor Summary
`MD2()`

Method Summary
`Object` | `clone()` Returns a copy of this MD object.
`byte[]` | `engineDigest()` Completes the hash computation by performing final operations such as padding.
`void` | `engineReset()` Resets this object disregarding any temporary data present at the time of the invocation of this call.
`void` | `engineUpdate(byte input)` Continues an MD2 message digest using the input byte.
`void` | `engineUpdate(byte[] input, int offset, int len)` MD2 block update operation.

Methods inherited from class java.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class java.security.MessageDigestSpi
`engineDigest, engineGetDigestLength`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MD2

    public MD2()

Method Detail

### clone

    public Object clone()

  Returns a copy of this MD object.
  Overrides:
    clone in class MessageDigest

### engineReset

    public void engineReset()

  Resets this object disregarding any temporary data present at the time of the invocation of this call.
  Overrides:
    engineReset in class MessageDigestSpi

### engineUpdate

    public void engineUpdate(byte input)

  Continues an MD2 message digest using the input byte.
  Overrides:
    engineUpdate in class MessageDigestSpi

### engineUpdate

    public void engineUpdate(byte[] input,
                             int offset,
                             int len)

  MD2 block update operation.

  Continues an MD2 message digest operation, by filling the buffer, transform(ing) data in 128-bit message block(s), updating the variables context and count, and leaving (buffering) the remaining bytes in buffer for the next update or finish.

  Overrides:
    engineUpdate in class MessageDigestSpi
  Parameters:
    `input` - input block
    `offset` - start of meaningful bytes in input
    `len` - count of bytes in input block to consider

### engineDigest

    public byte[] engineDigest()

  Completes the hash computation by performing final operations such as padding. At the return of this engineDigest, the MD engine is reset.
  Overrides:
    engineDigest in class MessageDigestSpi
  Returns:
    the array of bytes for the resulting hash value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.